#
# spec file for package gnome-news
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-news
Version:        0.0.1~20150915
Release:        2.2
Summary:        GNOME News Reader
License:        GPL-3.0+
Group:          Productivity/Other
Url:            https://github.com/ignatenkobrain/gnome-news
Source:         %{name}-%{version}.tar.xz
BuildRequires:  libappstream-glib-devel
BuildRequires:  autoconf-archive
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  libxml2
BuildRequires:  python3-gobject
BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  findutils
BuildRequires:  tar
BuildRequires:  xz
Requires:       tracker
Requires:       gtk3
Requires:       webkitgtk4-jsc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A GNOME 3 Feed Reader.

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
# Own dir for openSUSE Leap
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.News.appdata.xml
%{_datadir}/applications/org.gnome.News.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.News.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{python3_sitelib}/gnomenews/

%changelog
* Thu Oct  8 2015 zaitor@opensuse.org
- Own %%dir %%{_datadir}/appdata for openSUSE Leap.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 0.0.1~20150915:
  + view: provide the right number of arguments for format string
* Tue Sep  1 2015 dimstar@opensuse.org
- Initial package.
